package cn.ysk.cashier.mybatis.service;

import cn.ysk.cashier.mybatis.entity.TbPointsGoodsSetting;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * 积分商品设置
 *
 * @author Tankaikai tankaikai@aliyun.com
 * @since 2.0 2024-10-25
 */
public interface TbPointsGoodsSettingService extends IService<TbPointsGoodsSetting> {

    Map<String, Object> page(Map<String, Object> params);

    boolean save(TbPointsGoodsSetting entity);

    boolean update(TbPointsGoodsSetting dto);

    void delete(Long id);

}